| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::compat_num32 Class Reference

Specialization of the compat_num class for 32-bit compat numbers. More...

`#include <uhd/utils/compat_check.hpp>`

Inheritance diagram for uhd::compat_num32:

## Detailed Description

Specialization of the compat_num class for 32-bit compat numbers.

## Public Member Functions
constexpr | compat_num32 (const uint32_t compat_val)
constexpr | compat_num32 (const uint16_t major, const uint16_t minor)
uint32_t | get () const
Public Member Functions inherited from uhd::compat_num< uint16_t, uint16_t >
constexpr | compat_num (uint16_t major, uint16_t minor)
uint16_t | get_major () const
uint16_t | get_minor () const
bool | operator== (const compat_num< uint16_t, uint16_t > &rhs) const
bool | operator!= (const compat_num< uint16_t, uint16_t > &rhs) const
bool | operator< (const compat_num< uint16_t, uint16_t > &rhs) const
bool | operator<= (const compat_num< uint16_t, uint16_t > &rhs) const
bool | operator> (const compat_num< uint16_t, uint16_t > &rhs) const
bool | operator>= (const compat_num< uint16_t, uint16_t > &rhs) const
std::string | to_string () const

## Additional Inherited Members
Protected Attributes inherited from uhd::compat_num< uint16_t, uint16_t >
uint16_t | _major
uint16_t | _minor

## Constructor & Destructor Documentation

## ◆ compat_num32() [1/2]

uhd::compat_num32::compat_num32 | ( | const uint32_t | compat_val | ) |
| inline constexpr

## ◆ compat_num32() [2/2]

uhd::compat_num32::compat_num32 | ( | const uint16_t | major,
|  | const uint16_t | minor )
| inline constexpr

## Member Function Documentation

## ◆ get()

uint32_t uhd::compat_num32::get | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- compat_check.hpp